Package de.gebit.integrity.ui.contentassist.antlr.internal

## Class InternalDSLLexer

- java.lang.Object
- - org.antlr.runtime.BaseRecognizer
  - - org.antlr.runtime.Lexer
    - - org.eclipse.xtext.ui.editor.contentassist.antlr.internal.Lexer
      - - de.gebit.integrity.ui.contentassist.antlr.internal.InternalDSLLexer

- All Implemented Interfaces:
    `org.antlr.runtime.TokenSource`

      public class InternalDSLLexer
      extends org.eclipse.xtext.ui.editor.contentassist.antlr.internal.Lexer

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected de.gebit.integrity.ui.contentassist.antlr.internal.InternalDSLLexer.DFA33` | `dfa33` |
    `protected de.gebit.integrity.ui.contentassist.antlr.internal.InternalDSLLexer.DFA37` | `dfa37` |
    `static int` | `EOF` |
    `static int` | `RULE_ANY_OTHER` |
    `static int` | `RULE_BOOLEAN_FALSE` |
    `static int` | `RULE_BOOLEAN_TRUE` |
    `static int` | `RULE_DECIMAL` |
    `static int` | `RULE_DIVIDER` |
    `static int` | `RULE_EURODATE` |
    `static int` | `RULE_ID` |
    `static int` | `RULE_INTEGER` |
    `static int` | `RULE_ISODATE` |
    `static int` | `RULE_ISOTIME` |
    `static int` | `RULE_ISOTIMEZONE` |
    `static int` | `RULE_ML_COMMENT` |
    `static int` | `RULE_ML_DOC_COMMENT` |
    `static int` | `RULE_ML_VISIBLE_COMMENT` |
    `static int` | `RULE_ML_VISIBLE_TITLE_COMMENT` |
    `static int` | `RULE_MULTIPLIER` |
    `static int` | `RULE_NEWLINE` |
    `static int` | `RULE_REGEX` |
    `static int` | `RULE_SL_COMMENT` |
    `static int` | `RULE_SL_VISIBLE_COMMENT` |
    `static int` | `RULE_SL_VISIBLE_TITLE_COMMENT` |
    `static int` | `RULE_STRING` |
    `static int` | `RULE_TIMESPAN` |
    `static int` | `RULE_TWELVEHRSTIME` |
    `static int` | `RULE_TWENTYFOURHRSTIME` |
    `static int` | `RULE_UPPERCASE_ID` |
    `static int` | `RULE_USDATE` |
    `static int` | `RULE_WS` |
    `static int` | `T__32` |
    `static int` | `T__33` |
    `static int` | `T__34` |
    `static int` | `T__35` |
    `static int` | `T__36` |
    `static int` | `T__37` |
    `static int` | `T__38` |
    `static int` | `T__39` |
    `static int` | `T__40` |
    `static int` | `T__41` |
    `static int` | `T__42` |
    `static int` | `T__43` |
    `static int` | `T__44` |
    `static int` | `T__45` |
    `static int` | `T__46` |
    `static int` | `T__47` |
    `static int` | `T__48` |
    `static int` | `T__49` |
    `static int` | `T__50` |
    `static int` | `T__51` |
    `static int` | `T__52` |
    `static int` | `T__53` |
    `static int` | `T__54` |
    `static int` | `T__55` |
    `static int` | `T__56` |
    `static int` | `T__57` |
    `static int` | `T__58` |
    `static int` | `T__59` |
    `static int` | `T__60` |
    `static int` | `T__61` |
    `static int` | `T__62` |
    `static int` | `T__63` |
    `static int` | `T__64` |
    `static int` | `T__65` |
    `static int` | `T__66` |
    `static int` | `T__67` |
    `static int` | `T__68` |
    `static int` | `T__69` |
    `static int` | `T__70` |
    `static int` | `T__71` |
    `static int` | `T__72` |
    `static int` | `T__73` |
    `static int` | `T__74` |
    `static int` | `T__75` |
    `static int` | `T__76` |
    `static int` | `T__77` |
    `static int` | `T__78` |
    `static int` | `T__79` |
    `static int` | `T__80` |
    `static int` | `T__81` |
    `static int` | `T__82` |
    `static int` | `T__83` |
    `static int` | `T__84` |
    `static int` | `T__85` |
    `static int` | `T__86` |
    `static int` | `T__87` |
    `static int` | `T__88` |
    `static int` | `T__89` |
    `static int` | `T__90` |
    `static int` | `T__91` |
    `static int` | `T__92` |
    `static int` | `T__93` |

    - ### Fields inherited from class org.antlr.runtime.Lexer

      `input`

    - ### Fields inherited from class org.antlr.runtime.BaseRecognizer

      `DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InternalDSLLexer()` |
    `InternalDSLLexer​(org.antlr.runtime.CharStream input)` |
    `InternalDSLLexer​(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getGrammarFileName()` |
    `void` | `mRULE_ANY_OTHER()` |
    `void` | `mRULE_BOOLEAN_FALSE()` |
    `void` | `mRULE_BOOLEAN_TRUE()` |
    `void` | `mRULE_DECIMAL()` |
    `void` | `mRULE_DIVIDER()` |
    `void` | `mRULE_EURODATE()` |
    `void` | `mRULE_ID()` |
    `void` | `mRULE_INTEGER()` |
    `void` | `mRULE_ISODATE()` |
    `void` | `mRULE_ISOTIME()` |
    `void` | `mRULE_ISOTIMEZONE()` |
    `void` | `mRULE_ML_COMMENT()` |
    `void` | `mRULE_ML_DOC_COMMENT()` |
    `void` | `mRULE_ML_VISIBLE_COMMENT()` |
    `void` | `mRULE_ML_VISIBLE_TITLE_COMMENT()` |
    `void` | `mRULE_MULTIPLIER()` |
    `void` | `mRULE_NEWLINE()` |
    `void` | `mRULE_REGEX()` |
    `void` | `mRULE_SL_COMMENT()` |
    `void` | `mRULE_SL_VISIBLE_COMMENT()` |
    `void` | `mRULE_SL_VISIBLE_TITLE_COMMENT()` |
    `void` | `mRULE_STRING()` |
    `void` | `mRULE_TIMESPAN()` |
    `void` | `mRULE_TWELVEHRSTIME()` |
    `void` | `mRULE_TWENTYFOURHRSTIME()` |
    `void` | `mRULE_UPPERCASE_ID()` |
    `void` | `mRULE_USDATE()` |
    `void` | `mRULE_WS()` |
    `void` | `mT__32()` |
    `void` | `mT__33()` |
    `void` | `mT__34()` |
    `void` | `mT__35()` |
    `void` | `mT__36()` |
    `void` | `mT__37()` |
    `void` | `mT__38()` |
    `void` | `mT__39()` |
    `void` | `mT__40()` |
    `void` | `mT__41()` |
    `void` | `mT__42()` |
    `void` | `mT__43()` |
    `void` | `mT__44()` |
    `void` | `mT__45()` |
    `void` | `mT__46()` |
    `void` | `mT__47()` |
    `void` | `mT__48()` |
    `void` | `mT__49()` |
    `void` | `mT__50()` |
    `void` | `mT__51()` |
    `void` | `mT__52()` |
    `void` | `mT__53()` |
    `void` | `mT__54()` |
    `void` | `mT__55()` |
    `void` | `mT__56()` |
    `void` | `mT__57()` |
    `void` | `mT__58()` |
    `void` | `mT__59()` |
    `void` | `mT__60()` |
    `void` | `mT__61()` |
    `void` | `mT__62()` |
    `void` | `mT__63()` |
    `void` | `mT__64()` |
    `void` | `mT__65()` |
    `void` | `mT__66()` |
    `void` | `mT__67()` |
    `void` | `mT__68()` |
    `void` | `mT__69()` |
    `void` | `mT__70()` |
    `void` | `mT__71()` |
    `void` | `mT__72()` |
    `void` | `mT__73()` |
    `void` | `mT__74()` |
    `void` | `mT__75()` |
    `void` | `mT__76()` |
    `void` | `mT__77()` |
    `void` | `mT__78()` |
    `void` | `mT__79()` |
    `void` | `mT__80()` |
    `void` | `mT__81()` |
    `void` | `mT__82()` |
    `void` | `mT__83()` |
    `void` | `mT__84()` |
    `void` | `mT__85()` |
    `void` | `mT__86()` |
    `void` | `mT__87()` |
    `void` | `mT__88()` |
    `void` | `mT__89()` |
    `void` | `mT__90()` |
    `void` | `mT__91()` |
    `void` | `mT__92()` |
    `void` | `mT__93()` |
    `void` | `mTokens()` |

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.antlr.internal.Lexer

      `emitErrorMessage, nextToken`

    - ### Methods inherited from class org.antlr.runtime.Lexer

      `emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

    - ### Methods inherited from class org.antlr.runtime.BaseRecognizer

      `alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### RULE_ISOTIME

          public static final int RULE_ISOTIME

      See Also:
        Constant Field Values

    - #### T__50

          public static final int T__50

      See Also:
        Constant Field Values

    - #### RULE_MULTIPLIER

          public static final int RULE_MULTIPLIER

      See Also:
        Constant Field Values

    - #### RULE_UPPERCASE_ID

          public static final int RULE_UPPERCASE_ID

      See Also:
        Constant Field Values

    - #### RULE_ML_DOC_COMMENT

          public static final int RULE_ML_DOC_COMMENT

      See Also:
        Constant Field Values

    - #### T__59

          public static final int T__59

      See Also:
        Constant Field Values

    - #### T__55

          public static final int T__55

      See Also:
        Constant Field Values

    - #### T__56

          public static final int T__56

      See Also:
        Constant Field Values

    - #### T__57

          public static final int T__57

      See Also:
        Constant Field Values

    - #### T__58

          public static final int T__58

      See Also:
        Constant Field Values

    - #### T__51

          public static final int T__51

      See Also:
        Constant Field Values

    - #### T__52

          public static final int T__52

      See Also:
        Constant Field Values

    - #### T__53

          public static final int T__53

      See Also:
        Constant Field Values

    - #### T__54

          public static final int T__54

      See Also:
        Constant Field Values

    - #### T__60

          public static final int T__60

      See Also:
        Constant Field Values

    - #### T__61

          public static final int T__61

      See Also:
        Constant Field Values

    - #### RULE_ID

          public static final int RULE_ID

      See Also:
        Constant Field Values

    - #### RULE_TWENTYFOURHRSTIME

          public static final int RULE_TWENTYFOURHRSTIME

      See Also:
        Constant Field Values

    - #### RULE_ISOTIMEZONE

          public static final int RULE_ISOTIMEZONE

      See Also:
        Constant Field Values

    - #### RULE_ISODATE

          public static final int RULE_ISODATE

      See Also:
        Constant Field Values

    - #### T__66

          public static final int T__66

      See Also:
        Constant Field Values

    - #### RULE_ML_COMMENT

          public static final int RULE_ML_COMMENT

      See Also:
        Constant Field Values

    - #### T__67

          public static final int T__67

      See Also:
        Constant Field Values

    - #### T__68

          public static final int T__68

      See Also:
        Constant Field Values

    - #### RULE_SL_VISIBLE_COMMENT

          public static final int RULE_SL_VISIBLE_COMMENT

      See Also:
        Constant Field Values

    - #### T__69

          public static final int T__69

      See Also:
        Constant Field Values

    - #### T__62

          public static final int T__62

      See Also:
        Constant Field Values

    - #### RULE_USDATE

          public static final int RULE_USDATE

      See Also:
        Constant Field Values

    - #### T__63

          public static final int T__63

      See Also:
        Constant Field Values

    - #### T__64

          public static final int T__64

      See Also:
        Constant Field Values

    - #### T__65

          public static final int T__65

      See Also:
        Constant Field Values

    - #### RULE_NEWLINE

          public static final int RULE_NEWLINE

      See Also:
        Constant Field Values

    - #### T__37

          public static final int T__37

      See Also:
        Constant Field Values

    - #### T__38

          public static final int T__38

      See Also:
        Constant Field Values

    - #### T__39

          public static final int T__39

      See Also:
        Constant Field Values

    - #### T__33

          public static final int T__33

      See Also:
        Constant Field Values

    - #### T__34

          public static final int T__34

      See Also:
        Constant Field Values

    - #### T__35

          public static final int T__35

      See Also:
        Constant Field Values

    - #### T__36

          public static final int T__36

      See Also:
        Constant Field Values

    - #### T__32

          public static final int T__32

      See Also:
        Constant Field Values

    - #### RULE_EURODATE

          public static final int RULE_EURODATE

      See Also:
        Constant Field Values

    - #### RULE_ML_VISIBLE_TITLE_COMMENT

          public static final int RULE_ML_VISIBLE_TITLE_COMMENT

      See Also:
        Constant Field Values

    - #### T__48

          public static final int T__48

      See Also:
        Constant Field Values

    - #### T__49

          public static final int T__49

      See Also:
        Constant Field Values

    - #### T__44

          public static final int T__44

      See Also:
        Constant Field Values

    - #### T__45

          public static final int T__45

      See Also:
        Constant Field Values

    - #### T__46

          public static final int T__46

      See Also:
        Constant Field Values

    - #### T__47

          public static final int T__47

      See Also:
        Constant Field Values

    - #### T__40

          public static final int T__40

      See Also:
        Constant Field Values

    - #### T__41

          public static final int T__41

      See Also:
        Constant Field Values

    - #### T__42

          public static final int T__42

      See Also:
        Constant Field Values

    - #### T__43

          public static final int T__43

      See Also:
        Constant Field Values

    - #### T__91

          public static final int T__91

      See Also:
        Constant Field Values

    - #### T__92

          public static final int T__92

      See Also:
        Constant Field Values

    - #### T__93

          public static final int T__93

      See Also:
        Constant Field Values

    - #### T__90

          public static final int T__90

      See Also:
        Constant Field Values

    - #### RULE_DIVIDER

          public static final int RULE_DIVIDER

      See Also:
        Constant Field Values

    - #### RULE_TIMESPAN

          public static final int RULE_TIMESPAN

      See Also:
        Constant Field Values

    - #### RULE_BOOLEAN_TRUE

          public static final int RULE_BOOLEAN_TRUE

      See Also:
        Constant Field Values

    - #### RULE_ML_VISIBLE_COMMENT

          public static final int RULE_ML_VISIBLE_COMMENT

      See Also:
        Constant Field Values

    - #### RULE_DECIMAL

          public static final int RULE_DECIMAL

      See Also:
        Constant Field Values

    - #### RULE_BOOLEAN_FALSE

          public static final int RULE_BOOLEAN_FALSE

      See Also:
        Constant Field Values

    - #### T__70

          public static final int T__70

      See Also:
        Constant Field Values

    - #### T__71

          public static final int T__71

      See Also:
        Constant Field Values

    - #### RULE_REGEX

          public static final int RULE_REGEX

      See Also:
        Constant Field Values

    - #### T__72

          public static final int T__72

      See Also:
        Constant Field Values

    - #### RULE_STRING

          public static final int RULE_STRING

      See Also:
        Constant Field Values

    - #### RULE_SL_VISIBLE_TITLE_COMMENT

          public static final int RULE_SL_VISIBLE_TITLE_COMMENT

      See Also:
        Constant Field Values

    - #### RULE_SL_COMMENT

          public static final int RULE_SL_COMMENT

      See Also:
        Constant Field Values

    - #### T__77

          public static final int T__77

      See Also:
        Constant Field Values

    - #### T__78

          public static final int T__78

      See Also:
        Constant Field Values

    - #### T__79

          public static final int T__79

      See Also:
        Constant Field Values

    - #### T__73

          public static final int T__73

      See Also:
        Constant Field Values

    - #### EOF

          public static final int EOF

      See Also:
        Constant Field Values

    - #### T__74

          public static final int T__74

      See Also:
        Constant Field Values

    - #### T__75

          public static final int T__75

      See Also:
        Constant Field Values

    - #### RULE_TWELVEHRSTIME

          public static final int RULE_TWELVEHRSTIME

      See Also:
        Constant Field Values

    - #### T__76

          public static final int T__76

      See Also:
        Constant Field Values

    - #### T__80

          public static final int T__80

      See Also:
        Constant Field Values

    - #### T__81

          public static final int T__81

      See Also:
        Constant Field Values

    - #### T__82

          public static final int T__82

      See Also:
        Constant Field Values

    - #### T__83

          public static final int T__83

      See Also:
        Constant Field Values

    - #### RULE_WS

          public static final int RULE_WS

      See Also:
        Constant Field Values

    - #### RULE_ANY_OTHER

          public static final int RULE_ANY_OTHER

      See Also:
        Constant Field Values

    - #### T__88

          public static final int T__88

      See Also:
        Constant Field Values

    - #### T__89

          public static final int T__89

      See Also:
        Constant Field Values

    - #### T__84

          public static final int T__84

      See Also:
        Constant Field Values

    - #### T__85

          public static final int T__85

      See Also:
        Constant Field Values

    - #### RULE_INTEGER

          public static final int RULE_INTEGER

      See Also:
        Constant Field Values

    - #### T__86

          public static final int T__86

      See Also:
        Constant Field Values

    - #### T__87

          public static final int T__87

      See Also:
        Constant Field Values

    - #### dfa33

          protected de.gebit.integrity.ui.contentassist.antlr.internal.InternalDSLLexer.DFA33 dfa33

    - #### dfa37

          protected de.gebit.integrity.ui.contentassist.antlr.internal.InternalDSLLexer.DFA37 dfa37

  - ### Constructor Detail

    - #### InternalDSLLexer

          public InternalDSLLexer()

    - #### InternalDSLLexer

          public InternalDSLLexer​(org.antlr.runtime.CharStream input)

    - #### InternalDSLLexer

          public InternalDSLLexer​(org.antlr.runtime.CharStream input,
                                  org.antlr.runtime.RecognizerSharedState state)

  - ### Method Detail

    - #### getGrammarFileName

          public String getGrammarFileName()

      Overrides:
        `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

    - #### mT__32

          public final void mT__32()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__33

          public final void mT__33()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__34

          public final void mT__34()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__35

          public final void mT__35()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__36

          public final void mT__36()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__37

          public final void mT__37()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__38

          public final void mT__38()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__39

          public final void mT__39()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__40

          public final void mT__40()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__41

          public final void mT__41()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__42

          public final void mT__42()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__43

          public final void mT__43()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__44

          public final void mT__44()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__45

          public final void mT__45()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__46

          public final void mT__46()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__47

          public final void mT__47()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__48

          public final void mT__48()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__49

          public final void mT__49()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__50

          public final void mT__50()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__51

          public final void mT__51()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__52

          public final void mT__52()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__53

          public final void mT__53()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__54

          public final void mT__54()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__55

          public final void mT__55()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__56

          public final void mT__56()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__57

          public final void mT__57()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__58

          public final void mT__58()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__59

          public final void mT__59()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__60

          public final void mT__60()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__61

          public final void mT__61()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__62

          public final void mT__62()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__63

          public final void mT__63()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__64

          public final void mT__64()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__65

          public final void mT__65()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__66

          public final void mT__66()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__67

          public final void mT__67()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__68

          public final void mT__68()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__69

          public final void mT__69()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__70

          public final void mT__70()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__71

          public final void mT__71()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__72

          public final void mT__72()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__73

          public final void mT__73()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__74

          public final void mT__74()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__75

          public final void mT__75()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__76

          public final void mT__76()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__77

          public final void mT__77()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__78

          public final void mT__78()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__79

          public final void mT__79()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__80

          public final void mT__80()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__81

          public final void mT__81()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__82

          public final void mT__82()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__83

          public final void mT__83()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__84

          public final void mT__84()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__85

          public final void mT__85()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__86

          public final void mT__86()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__87

          public final void mT__87()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__88

          public final void mT__88()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__89

          public final void mT__89()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__90

          public final void mT__90()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__91

          public final void mT__91()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__92

          public final void mT__92()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mT__93

          public final void mT__93()
                            throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_BOOLEAN_TRUE

          public final void mRULE_BOOLEAN_TRUE()
                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_BOOLEAN_FALSE

          public final void mRULE_BOOLEAN_FALSE()
                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_UPPERCASE_ID

          public final void mRULE_UPPERCASE_ID()
                                        throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_ID

          public final void mRULE_ID()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_INTEGER

          public final void mRULE_INTEGER()
                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_DECIMAL

          public final void mRULE_DECIMAL()
                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_STRING

          public final void mRULE_STRING()
                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_REGEX

          public final void mRULE_REGEX()
                                 throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_ML_COMMENT

          public final void mRULE_ML_COMMENT()
                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_SL_COMMENT

          public final void mRULE_SL_COMMENT()
                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_SL_VISIBLE_COMMENT

          public final void mRULE_SL_VISIBLE_COMMENT()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_SL_VISIBLE_TITLE_COMMENT

          public final void mRULE_SL_VISIBLE_TITLE_COMMENT()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_ML_VISIBLE_COMMENT

          public final void mRULE_ML_VISIBLE_COMMENT()
                                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_ML_VISIBLE_TITLE_COMMENT

          public final void mRULE_ML_VISIBLE_TITLE_COMMENT()
                                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_ML_DOC_COMMENT

          public final void mRULE_ML_DOC_COMMENT()
                                          throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_DIVIDER

          public final void mRULE_DIVIDER()
                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_WS

          public final void mRULE_WS()
                              throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_NEWLINE

          public final void mRULE_NEWLINE()
                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_ISODATE

          public final void mRULE_ISODATE()
                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_ISOTIME

          public final void mRULE_ISOTIME()
                                   throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_ISOTIMEZONE

          public final void mRULE_ISOTIMEZONE()
                                       throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_EURODATE

          public final void mRULE_EURODATE()
                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_USDATE

          public final void mRULE_USDATE()
                                  throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_TWENTYFOURHRSTIME

          public final void mRULE_TWENTYFOURHRSTIME()
                                             throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_TWELVEHRSTIME

          public final void mRULE_TWELVEHRSTIME()
                                         throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_TIMESPAN

          public final void mRULE_TIMESPAN()
                                    throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_MULTIPLIER

          public final void mRULE_MULTIPLIER()
                                      throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mRULE_ANY_OTHER

          public final void mRULE_ANY_OTHER()
                                     throws org.antlr.runtime.RecognitionException

      Throws:
        `org.antlr.runtime.RecognitionException`

    - #### mTokens

          public void mTokens()
                       throws org.antlr.runtime.RecognitionException

      Specified by:
        `mTokens` in class `org.antlr.runtime.Lexer`
      Throws:
        `org.antlr.runtime.RecognitionException`